%global momorel 1

%global _includedir /usr/include/wine

Summary: WINE Is Not an Emulators - runs MS Windows programs
Name: wine
Version: 0.9.20
Release: %{momorel}m
License: LGPL
Group: Applications/Emulators
%NoSource 0 http://ibiblio.org/pub/linux/system/emulators/wine/wine-%{version}.tar.bz2 3e80a07819e4df084becdbbcd4d6cdd3
%NoSource 1 http://ibiblio.org/pub/linux/system/emulators/wine/wine-docs-%{version}.tar.bz2 770e081e2917d291294c157dda4856eb
## wine.inf and wineshelllink.ja are extracted from
## biosmania's "Sidenet wine configuration utility" 
## (http://sidenet.ddo.jp/winetips/files/wine-config-sidenet-1.8.1.tgz)
Source3: wine.inf
Source4: wineshelllink.ja
## Patch1 is for systems jack sound server installed 
Patch1: wine-20030508-winejack.patch
Patch2: wine-20030709-ldconfig.patch
Patch3: wine-0.9.12-shlwapi-gcc41.patch

URL: http://www.winehq.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: bison flex >= 2.5 freetype2-devel perl 
BuildRequires: ncurses-devel cups-devel
BuildRequires: openssl-devel sane-backends-devel openldap-devel >= 2.3.11
BuildRequires: mesa-libGL-devel,  mesa-libGLU-devel, libICE-devel, 
BuildRequires: libSM-devel, libX11-devel, libXext-devel, libXxf86vm-devel
BuildRequires: fontforge
BuildRequires: linuxdoc-tools docbook-utils docbook-utils-pdf docbook-dtds openjade jadetex
Requires: freetype2
Requires: nkf
ExclusiveArch: %{ix86}

%description
Wine is a program that allows running MS-Windows programs under X11.
It consists of a program loader, that loads and executes an
MS-Windows binary, and of an emulation library that translates Windows
API calls to their Unix/X11 equivalent.

%package devel
Summary: Development portion of Wine
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Includes and headers to develop applications with the WINE libraries.

%package utils
Summary: Utilities of Wine
Group: Applications/Emulators
Requires: %{name} = %{version}

%description utils

Wine is a program which allows running Microsoft Windows programs
(including DOS, Windows 3.x and Win32 executables) on Unix.

This package consists many of the utilities provided by wine, both 
for compiling source using winelib and for running wine.  This
package is not strictly necessary.

%prep
%setup -q -a 1
%patch1 -p1 -b .winejack
# %patch2 -p1 -b .ldconfig
%patch3 -p1 -b .gcc41

%build
CFLAGS="%(echo '%{optflags}'|sed -e 's/-fstack-protector//g'|sed -e 's/-fomit-frame-pointer//g')"
CXXFLAGS="%(echo '%{optflags}'|sed -e 's/-fstack-protector//g'|sed -e 's/-fomit-frame-pointer//g')"
FLAGS="%(echo '%{optflags}'|sed -e 's/-fstack-protector//g'|sed -e 's/-fomit-frame-pointer//g')"
export CFLAGS
export CXXFLAGS
export FLAGS
%configure --disable-debug --disable-trace --sysconfdir=%{_sysconfdir}/wine --with-x --enable-opengl
# dasa
perl -p -i -e 's/ -pthread//' dlls/winmm/winearts/Makefile
%make depend all

# mv documentation/samples/config documentation/samples/config.orig

%install
rm -rf %{buildroot}
%makeinstall dlldir=%{buildroot}%{_libdir}/wine
#mkdir -p %{buildroot}%{_sysconfdir}/wine
install -c tools/fnt2bdf %{buildroot}%{_bindir}/fnt2bdf

pushd wine-docs-%{version}
%configure 
pushd en
make dist
tar zxf wine-doc-en-html.tar.gz -C ../../documentation/
popd
popd

## install configulation file (obsolete?)
mv %{buildroot}%{_datadir}/wine/wine.inf %{buildroot}%{_datadir}/wine/wine.inf.orig
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/wine/wine.inf

## install localized wineshelllink.ja (usefull?)
mv %{buildroot}%{_bindir}/wineshelllink %{buildroot}%{_bindir}/wineshelllink.orig
install -m 755 %{SOURCE4} %{buildroot}%{_bindir}/wineshelllink

# make a filelist 
find %{buildroot}%{_libdir}/%{name}/*.*.so |grep -v ".exe.so" |sed "s|%{buildroot}||g" > wine-files
echo "%{_libdir}/%{name}/winevdm.exe.so" >> wine-files

#(from mandrake) winevdm.exe.so should go into wine package and not wine, and in stead of listing all files in %%files, just
# make a filelist without it
find %{buildroot}%{_libdir}/%{name}/*.exe*|grep -v winevdm.exe|sed "s|%{buildroot}||g" > wine-utils-exe-files

%pre
# Add the "wine" group 
#/usr/sbin/groupadd -g 66 -r wine &>/dev/null || :

%post
## Register the wine service
#/sbin/chkconfig --add wine

# Register a library path
grep -q "^/usr/lib/wine$" /etc/ld.so.conf || echo "/usr/lib/wine" >> /etc/ld.so.conf
/sbin/ldconfig

%preun
#/sbin/service wine stop > /dev/null 2>&1
#/sbin/chkconfig --del wine

%postun
if [ "$1" = "0" ]; then
    rm -f /etc/ld.so.conf.new
    grep -v -e "/usr/X11R6/lib/wine" -e "/usr/lib/wine" /etc/ld.so.conf > /etc/ld.so.conf.new
    mv -f /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -f wine-files
%defattr (-, root, root)
%doc README ANNOUNCE AUTHORS ChangeLog LICENSE COPYING.LIB
# %doc documentation/samples 
%%doc documentation/wine-faq.html
%%doc documentation/wineusr-guide.html
#%%config %{_initrddir}/wine
%{_bindir}/wine
%{_bindir}/wineconsole*
%{_bindir}/wineserver
%{_bindir}/wineboot
%{_bindir}/function_grep.pl
#%%{_bindir}/wineclipsrv
%{_bindir}/wineshelllink*
%{_bindir}/wine-kthread
%{_bindir}/wine-pthread
%{_bindir}/wine-preloader
%{_bindir}/wineprefixcreate
%{_bindir}/winebrowser
%{_bindir}/msiexec
%{_libdir}/libwine*.so.*
%{_libdir}/wine/avifile.dll16
%{_libdir}/wine/comm.drv16
%{_libdir}/wine/commdlg.dll16
%{_libdir}/wine/compobj.dll16
%{_libdir}/wine/ctl3d.dll16
%{_libdir}/wine/ctl3dv2.dll16
%{_libdir}/wine/ddeml.dll16
%{_libdir}/wine/dispdib.dll16
%{_libdir}/wine/display.drv16
%{_libdir}/wine/imm.dll16
%{_libdir}/wine/keyboard.drv16
%{_libdir}/wine/lzexpand.dll16
%{_libdir}/wine/mmsystem.dll16
%{_libdir}/wine/mouse.drv16
%{_libdir}/wine/msacm.dll16
%{_libdir}/wine/msvideo.dll16
%{_libdir}/wine/ole2.dll16
%{_libdir}/wine/ole2conv.dll16
%{_libdir}/wine/ole2disp.dll16
%{_libdir}/wine/ole2nls.dll16
%{_libdir}/wine/ole2prox.dll16
%{_libdir}/wine/ole2thk.dll16
%{_libdir}/wine/olecli.dll16
%{_libdir}/wine/olesvr.dll16
%{_libdir}/wine/rasapi16.dll16
%{_libdir}/wine/setupx.dll16
%{_libdir}/wine/shell.dll16
%{_libdir}/wine/sound.drv16
%{_libdir}/wine/storage.dll16
%{_libdir}/wine/stress.dll16
%{_libdir}/wine/system.drv16
%{_libdir}/wine/toolhelp.dll16
%{_libdir}/wine/twain.dll16
%{_libdir}/wine/typelib.dll16
%{_libdir}/wine/ver.dll16
%{_libdir}/wine/w32sys.dll16
%{_libdir}/wine/win32s16.dll16
%{_libdir}/wine/win87em.dll16
%{_libdir}/wine/winaspi.dll16
%{_libdir}/wine/windebug.dll16
%{_libdir}/wine/wineps16.drv16
%{_libdir}/wine/wing.dll16
%{_libdir}/wine/winnls.dll16
%{_libdir}/wine/winsock.dll16
%{_libdir}/wine/wintab.dll16
%{_libdir}/wine/wprocs.dll16
# %{_libdir}/%{name}/*.*.so
%{_mandir}/man1/wine.1*
%{_mandir}/man1/wineserver.1.bz2
# %{_mandir}/man5/wine.conf.5*
%{_datadir}/wine
#%%{_datadir}/wine/fonts/*
%{_datadir}/applications/wine.desktop
#%%attr(0775, root, wine) /var/lib/wine

%files devel
%defattr (-, root, root)
# %%doc DEVELOPERS-HINTS
%%doc documentation/winedev-guide.html
%%doc documentation/winelib-guide.html
%{_libdir}/wine/*.a
%{_libdir}/libwine*.so
%{_libdir}/%{name}/*.def
%{_includedir}/*
%{_datadir}/aclocal/*
%{_bindir}/wmc
%{_mandir}/man1/wmc.1*
%{_bindir}/wrc
%{_mandir}/man1/wrc.1*
%{_bindir}/winebuild
%{_mandir}/man1/winebuild.1*
%{_mandir}/man1/widl.1*
%{_mandir}/man1/winedump.1*
%{_mandir}/man1/wineprefixcreate.1*

%files utils -f wine-utils-exe-files
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/fnt2bdf
%{_bindir}/notepad
%{_bindir}/progman
%{_bindir}/regedit
%{_bindir}/uninstaller
%{_bindir}/wcmd
%{_bindir}/winedbg
%{_bindir}/winedump
%{_bindir}/winemaker
%{_bindir}/winemine
%{_bindir}/winepath
%{_bindir}/winhelp
%{_bindir}/regsvr32
%{_bindir}/widl
%{_bindir}/winefile
%{_bindir}/winegcc
%{_bindir}/winecpp
%{_bindir}/wineg++
%{_bindir}/winelauncher
%{_bindir}/winecfg
%{_mandir}/man1/winemaker.1*
%{_mandir}/man1/winedbg.1*
%{_mandir}/man1/winegcc.1*
%{_mandir}/man1/wineg++.1*

%changelog
* Fri Sep  1 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.20-1m)
- update to 0.9.20

* Sun Jul 30 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.18-1m)
- update to 0.9.18

* Fri Jul 14 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.17-1m)
- update to 0.9.17

* Thu Jun 22 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.16-1m)
- update to 0.9.16

* Sat Jun 17 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.15-1m)
- update to 0.9.15

* Sat May 27 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.9.14-1m)
- update to 0.9.14

* Fri May 19 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.9.13-1m)
- update to 0.9.13

* Wed Apr 19 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.9.12-1m)
- update to 0.9.12

* Wed Apr 12 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.9.11-2m)
- remove outdated setting stuffs (wine-setup, wine.config.template etc.)

* Mon Apr 10 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.11-1m)
- update 0.9.11

* Sun Feb 12 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.7-1m)
- update 0.9.7

* Mon Jan 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.6-1m)
- update 0.9.6

* Sat Jan 14 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.9.4-2m)
- rebuild against openldap-2.3.11

* Fri Dec 23 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.4-1m)
- update 0.9.4

* Fri Dec 23 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.4-1m)
- update 0.9.4

* Sat Dec 10 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.3-1m)
- update 0.9.3

* Fri Nov 25 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.2-1m)
- update 0.9.2

* Thu Nov 10 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.1-1m)
- update 0.9.1

* Wed Oct 26 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9-1m)
- update 0.9

* Sat Oct  1 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (20050930-1m)
- update 20050930

* Wed Aug 31 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (20050830-1m)
- update 20050830

* Wed Jul 27 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (20050725-1m)
- update 20050725

* Wed Jun 29 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (20050628-1m)
- update 20050628
- rename source wine-doc-en-html.tar.gz

* Thu May 26 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (20050524-1m)
- update 20050524
- add /bin/msiexec
- add source wine-doc-html.tar.gz (any %doc files moved out of the source tree)

* Mon Apr 25 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (20050419-1m)
- update 20050419
- add rechedit patch

* Thu Apr 14 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (20050310-2m)
- fix conflict files

* Wed Apr 13 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (20050310-1m)
- update to 20050310
- add oliver's DirectX9 patch d3d9patch.2005-03-10.diff.bz2
- add "BuildRequire fontforge"
- update wine.config.template (wine-config-sidenet-1.8.1.tgz)

* Tue Mar 01 2005 Masayuki SANO <nosanosa@momonga-linux.org>
- (20050211-1m)
- update to 20050211
- use gcc 3.4.3 (not gcc_3_2)
- not execute "make -C documentation" because of an error, and commented out some documentation files

* Sat Feb 26 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (20040914-2m)
- use linuxdoc-tools
- and modify font dir

* Fri Nov 19 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (20040914-1m)
- update to 20040914 (20040914 is more usable than latest 20041019)
- renew wine-setup.sh completely
- import config files (wine.inf, config) and wineshelllink.ja from "Sidenet wine configuration utility" (http://sidenet.ddo.jp/)
- use gcc_3_2 (bugs.winehq.org #2477)
- remove "-fstack-protector" from flags because build fails when it exists
- remove "-fomit-frame-pointer" because binary built with it does not work (bugs.winehq.org #2357).
- remove system-wide stuff (It has not been tested and maintained)

* Thu Jul  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (20040505-5m)
- use sazanami instead of kochi

* Thu Jul 01 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (20040505-4m)
- rewind (20040615 causes some annoying errors in running windows binaries)

* Sun Jun 20 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (20040615-1m)
- update to release 20040615

* Wed Jun 09 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (20040505-3m)
- revise wine-setup.sh and wine.conf

* Tue May 25 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (20040505-2m)
- update to release 20040505

* Sat May 22 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (20040505-1m)
- update to release 20040505

* Wed May  5 2004 Toru Hoshina <t@momonga-linux.org>
- (20040121-2m)
- revise spec.

* Wed Jan 28 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (20040121-1m)
- update to release 20040121
- Full IME support for Asian locales seems to bigin, 
  but we still use XIM patch at http://sidenet.ddo.jp/winetips/ because 
  original IME support doesn't work well.
- [Input Method] section in ~/.wine/config has been obsoleted.

* Wed Dec 10 2003 Masayuki SANO <nosanosa@momonga-linux.org>
- (20031118-1m)
- update to release 20031118

* Mon Oct 20 2003 Masayuki SANO <nosanosa@momonga-linux.org>
- (20031016-1m)
- update to release 20031016
- use http://sidenet.ddo.jp/winetips/files/wine-20031016-xim-jp106.diff.zip (Source6) as a xim patch
- make html docs locally
- revise wine-setup.sh (no win.ini file now)

* Thu Aug 21 2003 Masayuki SANO <nosanosa@momonga-linux.org>
- (20030813-1m)
- revise a spec file ([Momonga-devel.ja:02026])
- update to release 20030813
- according to project homepage, what's new are
- - Partial implementation of the Microsoft Installer (msi.dll).
- - GUI for regedit (from ReactOS).
- - DirectMusic dlls reorganization.
- - Many Wininet improvements.
- - Lots of bug fixes.

* Sat Aug  9 2003 Masayuki SANO <nosanosa@momonga-linux.org>
- (20030709-1m)
- version 20030709
- The license has become LGPL
- import XIM patch (http://www.2chlinux.org/)
- make wine-utils subpackage and revise %%files (as Mandrake Cooker 20030709-2mdk)
- add simple setup script (wine-setup) to create config files and fake windows system directory
- revised and customized wine.conf in a new format
   (The location of "fake windows system" can be changed by modifying [Drive C] section in ~/.wine/config)
- install default registry files (from RedHat8 20020605-2)
- make systemwide fake windows system directory as /var/lib/wine (as Mandrake Cooker 20030709-2mdk)
   (It is recommended that users using a systemwide configuration belong to "wine" group since Wine requires a writable access to a fake windows system directory (/var/lib/wine)) 
- revise word "%%post" and "%%postun" in old changelogs
- use momorel, %%NoSource, %%make macro

* Wed Mar 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (20030219-1m)
- version 20030219

* Sat Mar 16 2002 Kazuhiko <kazuhiko@kondara.org>
- (20020310-2k)

* Thu Mar  7 2002 Kazuhiko <kazuhiko@kondara.org>
- (20020228-4k)
- revise %%post and %%postun script

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (20011004-4k)
- nigittenu

* Fri Oct 19 2001 Toru Hoshina <t@kondara.org>
- (20011004-2k)
- merge from Jirai.

* Sun Oct 06 2001 Motonobu Ichimura <famao@kondara.org>
- (20011004-3k)
- up to 20011004

* Sat Sep 22 2001 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (20010824-7k)
- fix %%post,%%postun section

* Tue Sep  4 2001 Shingo Akagaki <dora@kondara.org>
- (20010824-5k)
- add ba-tari font patch

* Sat Sep  1 2001 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- Up to 20010501
- delete Wine-990923-gcc296.patch
- contain wine-20010510-font.patch(from VinePlus),but rejected ;p

* Thu Feb 24 2000 Shingo Akagaki <dora@kondara.org>
- check spec file

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Wed Oct 27 1999 KUSUNOKI Masanori <masanori@linux.or.jp>
- build against Kondara MNU/Linux 1.0
- prefix /usr/local to /usr
- wine.conf fixed

* Sun Aug  1 1999 Robert Pouliot <krynos@clic.net>
- Fixed a few things for the RPM to build
- The devel part is probably broken, I don't have time to fix now.

* Tue Dec 15 1998 Robert Pouliot <krynos@clic.net>
- Reverted back to /usr/local directories

* Sun Dec 13 1998 Robert Pouliot <krynos@clic.net>
- Integrated changes from Bruce Guenter <bruce.guenter@qcc.sk.ca>

* Mon Nov 9 1998 Robert Pouliot <krynos@clic.net>
- upgraded to 981108 snapshot
- credit to Kjetil Wiekhorst Jrgensen <jorgens@pvv.org>


